Page MenuHomePhabricator

Wikidata property statistics service
Closed, ResolvedPublic

Subscribers
Tokens
"Yellow Medal" token, awarded by waldyrious."Love" token, awarded by Lydia_Pintscher."Love" token, awarded by Tagishsimon."100" token, awarded by Spinster.
Assigned To
Authored By
Multichill, Apr 5 2019

Description

The other day Liam and I published the Sum of all Paintings property statistics dashboard at https://www.wikidata.org/wiki/Wikidata:WikiProject_sum_of_all_paintings/Property_statistics . The source code is at https://github.com/multichill/toollabs/blob/master/bot/wikidata/painting_property_statistics.py . This was basically to scratch our own itch: We wanted to have a good overview of progress and completeness for the project we're working on.

We got quite a lot of positive responses and two forks: https://www.wikidata.org/wiki/Wikidata:WikiProject_Video_games/Statistics/Platform & https://www.wikidata.org/wiki/Wikidata:WikiProject_Railways/Property_Statistics . Looks like we weren't the only people with this itch. And I can also think of some of the other projects I participate in where these kind of statistics would be quite useful.

Let's build a service to offer these kind of statistics.

  • Service is Pywikibot based and runs under a tools account on Toolforge
  • Every page in need of statistics has a start and end template just like Listeriabot (see https://www.wikidata.org/wiki/Template:Wikidata_list)
  • The start template contains all the relevant variables for the bot to function
  • The bot runs every once in a while to update these pages (might implement manual run too)

This would probably be a fun project to work on during the Prague hackathon in May.

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Cyberpower678, Aklapper. · View Herald TranscriptApr 5 2019, 4:38 PM
JJMC89 edited projects, added Tools; removed Toolforge.Apr 5 2019, 4:43 PM

Had similar thoughts in the past two days ; I’d be keen to work on that in Prague :)

Macro carltondance:

My enthusiasm will even be larger if the result will be reasonably usable by people without coding skills 😀

Jane023 added a subscriber: Jane023.Apr 6 2019, 7:53 AM
99of9 added a subscriber: 99of9.Apr 8 2019, 7:26 AM
agray added a subscriber: agray.Apr 8 2019, 9:37 AM
Kpjas added a subscriber: Kpjas.Apr 8 2019, 10:05 AM
JeanFred closed this task as Resolved.May 19 2019, 1:45 PM
JeanFred claimed this task.
JeanFred triaged this task as Normal priority.

This is basically done :)